Bug 621176 - xorg crash during Sleep and Hybernate
xorg crash during Sleep and Hybernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 09:13 EDT by Myroslav Opyr
Modified: 2011-06-28 10:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log Crash log (62.10 KB, text/plain)
2010-08-04 09:16 EDT, Myroslav Opyr
no flags Details
Core dump saved by abrt (52.00 KB, application/octet-stream)
2010-08-04 09:20 EDT, Myroslav Opyr
no flags Details

  None (edit)
Description Myroslav Opyr 2010-08-04 09:13:50 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.125 Safari/533.4

xorg crashes during sleep/hibernation cycle.

Reproducible: Sometimes

Steps to Reproduce:
1. Issue either manual Sleep/Hibernate action via Power Management applet, or close the lid or wait till Power management event comes
2. Notebook either sleeps or turns itself off
3. Open lid (if sleeping with lid closed) or press power button
4. Notebook activates

Actual Results:  
I'm seeing Fedora 13 boot bar while xorg restarts after crash.

Expected Results:  
I'm expected to be presented with Unlock screen of last session.

I'm having GMA500 powered Nokia Booklet 3G. It has PSB driver installed from rpmfusion-nonfree-updates (following instructions at http://www.happyassassin.net/2010/07/19/poulsbo-gma-500-driver-in-rpm-fusion-repository-for-fedora-13/):

$ rpm -qa | grep -E "psb|poulsbo"
psb-firmware-0.30-4.fc13.noarch
kmod-psb-2.6.33.6-147.fc13.i686-4.41.1-12.fc13.i686
akmod-psb-4.41.1-12.fc13.i686
xpsb-glx-0.18-5.fc13.i686
kmod-psb-4.41.1-12.fc13.i686
libdrm-poulsbo-2.3.0-11.fc13.i686
xorg-x11-drv-psb-0.32.0-4.fc13.i686

my xorg package versions are:
$ rpm -qa | grep xorg | grep -v -e "-drv-"
xorg-x11-server-Xorg-1.8.2-2.fc13.i686
xorg-x11-apps-7.4-14.fc13.i686
xorg-x11-xauth-1.0.2-7.fc12.i686
xorg-x11-font-utils-7.2-11.fc13.i686
xorg-x11-server-utils-7.4-16.fc13.i686
xorg-x11-fonts-ISO8859-1-100dpi-7.2-9.fc12.noarch
xorg-x11-server-common-1.8.2-2.fc13.i686
xorg-x11-proto-devel-7.4-36.fc13.noarch
xorg-x11-drivers-7.3-14.fc13.i686
xorg-x11-resutils-7.1-10.fc13.i686
xorg-x11-utils-7.4-9.fc13.i686
xorg-x11-xkb-utils-7.4-7.fc13.i686
xorg-x11-xinit-1.0.9-17.fc13.i686

Behavior is not consistent, as once (in up to 20 sleep attempts) it did resume properly from Sleep and once from Hybernation mode (from approximately 7 attempts).

Crash logs look like xorg crashes during sleep process, not wakeup. However I hope logs will reveal more details.

I've tried installing newer xorg-x11-server-Xorg-1.8.2-3.fc13.i686.rpm and xorg-x11-server-common-1.8.2-3.fc13.i686.rpm from koji. It indeed changed behavior, but instead of complete crash Xorg hang now, thus I downgraded to 1.8.2-2.fc13 for the time being.

Please let me know which version of xorg-x11-server-Xorg should I concentrate my further observations on, and if it should this bug be handled in PSB driver instead?
Comment 1 Myroslav Opyr 2010-08-04 09:16:14 EDT
Created attachment 436533 [details]
Xorg.0.log Crash log

I've found this file as Xorg.0.log.old as Xorg happened to restart.
Comment 2 Myroslav Opyr 2010-08-04 09:20:35 EDT
Created attachment 436535 [details]
Core dump saved by abrt
Comment 3 Myroslav Opyr 2010-08-10 05:21:18 EDT
After upgrade of kernel to kernel-2.6.33.6-147.2.4.fc13.i686 Xserver started to hang more often when resuming from suspend/hibernate then it did before, abrt caught 3 crashes only within 4 days. Yesterday I've upgraded with xorg-x11-server-Xorg-1.8.2-3.fc13.i686 and no crash so far but Xorg hang when resuming from suspend/hibernate still.
Comment 4 Bug Zapper 2011-06-01 08:08:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:59:23 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.